curl --request POST \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "My New Agent",
"description": "Agent description"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123,
"private": true
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}{}{
"detail": "<string>"
}Agents
Create Agent
Create a new base agent.
POST
/
v1
/
agents
/
curl --request POST \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "My New Agent",
"description": "Agent description"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123,
"private": true
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}{}{
"detail": "<string>"
}curl --request POST \
--url "https://api.roe-ai.com/v1/agents/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "My New Agent",
"description": "Agent description"
}'
Authorizations
Query Parameters
Body
application/json
Serializer for creating base agents with proper JSON field handling
Response
Successfully created agent.
Serializer for BaseAgent (agent config)